#pragma once

#include <balancer/kernel/balancer/policy.h>

namespace NSrvKernel::NSimple {

class TSimplePolicy : public IPolicy {
public:
    IBackend* Next(IAlgorithm* algo, bool fastAttempt) noexcept override;

    void MarkAsRetry() noexcept override {}
};

INodeHandle<IPolicyFactory>* Handle();

}  // namespace NSrvKernel::NSimple
